Package org.codehaus.groovy.util

# Class ManagedConcurrentMap.Entry<K,V>

java.lang.Object
org.codehaus.groovy.util.ManagedReference<K>
org.codehaus.groovy.util.ManagedConcurrentMap.Entry<K,V>

All Implemented Interfaces:
  `AbstractConcurrentMap.Entry<K,V>`, `AbstractConcurrentMapBase.Entry<V>`, `Finalizable`

Direct Known Subclasses:
  `ManagedConcurrentMap.EntryWithValue`

Enclosing class:
  `ManagedConcurrentMap<K,V>`

public static class ManagedConcurrentMap.Entry<K,V> extends ManagedReference<K> implements AbstractConcurrentMap.Entry<K,V>

## Constructor Summary

Constructors
Constructor
Description
`Entry(ReferenceBundle bundle, ManagedConcurrentMap.Segment segment, K key, int hash)`

## Method Summary

Modifier and Type
Method
Description
`void`
`finalizeRef()`
Deprecated.
use finalizeReference
`void`
`finalizeReference()`
`int`
`getHash()`
`V`
`getValue()`
`boolean`
`isEqual(K key, int hash)`
`boolean`
`isValid()`
`void`
`setValue(V value)`

### Methods inherited from class org.codehaus.groovy.util.ManagedReference

`clear, get`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Entry

public Entry(ReferenceBundle bundle, ManagedConcurrentMap.Segment segment, K key, int hash)

## Method Details

### isValid

public boolean isValid()

Specified by:
  `isValid` in interface `AbstractConcurrentMapBase.Entry<K>`

### isEqual

public boolean isEqual(K key, int hash)

Specified by:
  `isEqual` in interface `AbstractConcurrentMap.Entry<K,V>`

### getValue

public V getValue()

Specified by:
  `getValue` in interface `AbstractConcurrentMapBase.Entry<K>`

### setValue

public void setValue(V value)

Specified by:
  `setValue` in interface `AbstractConcurrentMapBase.Entry<K>`

### getHash

public int getHash()

Specified by:
  `getHash` in interface `AbstractConcurrentMapBase.Entry<K>`

### finalizeReference

public void finalizeReference()

Specified by:
  `finalizeReference` in interface `Finalizable`
Overrides:
  `finalizeReference` in class `ManagedReference<K>`

### finalizeRef

@Deprecated public void finalizeRef()
Deprecated.
use finalizeReference